# Introduction to Visual Studio

![](imgs/15%20Introduction%20to%20Visual%20Studio_0.png)

---

# Overview

* An IDE (Integrated development environment) by Microsoft for Windows
* Debug tools
* Used for C#, C++, etc
* Free Community edition
* Multiple versions released
  * First version: 1997
  * 2017, 2019, 2022…

# Windows

_Solution Explorer_  (CTRL+ALT+L) shows the files in the project

_Terminal _ (CTRL+Ö) for command line stuff, like using Git

# Moving windows around

![](imgs/15%20Introduction%20to%20Visual%20Studio_1.png)

* Drag and hold windows to move them around
  * _Snap to layout_  window appears
* After moving a window to the right, you can pin it to see its title on the right

![](imgs/15%20Introduction%20to%20Visual%20Studio_2.png)

# Keyboard shortcuts

* CTRL+.
  * If a type is missing, use this to add the needed using directive
* CTRL+R, then CTRL+R (seriously?)
  * Rename variable
  * Press Enter to confirm
* CTRL+C (without selecting), then CTRL+V
  * Duplicate line
* ALT+Up, ALT+Down
  * Move line up/down

# Gotchas

* Some actions are unavailable when your app is running
  * Deleting files
  * Adding new controllers
